Bug 8624 - inkscape new security issue CVE-2012-5656
: inkscape new security issue CVE-2012-5656
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
:
: http://lwn.net/Vulnerabilities/531755/
: has_procedure mga2-64-OK mga2-32-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-01-07 21:26 CET by David Walser
Modified: 2013-01-30 20:25 CET (History)
3 users (show)

See Also:
Source RPM: inkscape-0.48.3.1-1.mga2.src.rpm
CVE:
Status comment:


Attachments
PoC (623 bytes, image/svg+xml)
2013-01-08 12:08 CET, claire robinson
Details

Description David Walser 2013-01-07 21:26:25 CET
Fedora has issued an advisory on December 19:
http://lists.fedoraproject.org/pipermail/package-announce/2013-January/095380.html

The issue was fixed upstream in 0.48.4 (which we have in Cauldron).

The upstream change to fix this is linked in the RedHat bug:
https://bugzilla.redhat.com/show_bug.cgi?id=888249
Comment 1 claire robinson 2013-01-08 12:08:30 CET
Created attachment 3338 [details]
PoC

From https://bugs.launchpad.net/inkscape/+bug/1025185

inkscape -e xxe-inkscape.png xxe.svg
Comment 2 David Walser 2013-01-10 19:47:23 CET
If we wanted to patch it, it's not as simple as rediffing the upstream change, as the code has changed quite a bit.  We probably need to just upgrade it to 0.48.4.
Comment 3 David Walser 2013-01-10 22:21:46 CET
Updated package uploaded for Mageia 2.

Advisory:
========================

Updated inkscape package fixes security vulnerability:

An XML eXternal Entity (XXE) flaw was found in the way Inkscape before 0.48.4
performed rasterization of certain SVG images. A remote attacker could
provide a specially-crafted SVG image that, when opened in inkscape would
lead to arbitrary local file disclosure or denial of service (CVE-2012-5656).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5656
http://lists.fedoraproject.org/pipermail/package-announce/2013-January/095380.html
========================

Updated packages in core/updates_testing:
========================
inkscape-0.48.4-1.mga2

from inkscape-0.48.4-1.mga2.src.rpm
Comment 4 claire robinson 2013-01-11 13:48:50 CET
Testing complete mga2 64

Before, green square with /etc/passwd in it. After, green square without.
Comment 5 claire robinson 2013-01-11 13:55:36 CET
Testing complete mga2 32

Validating

Advisory & srpm in comment 3

Could sysadmin please push from core/updates_testing to core/updates

Thanks!
Comment 6 Thomas Backlund 2013-01-14 22:29:00 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0006
Comment 7 David Walser 2013-01-30 20:25:10 CET
Ubuntu has issued an advisory today (January 30):
http://www.ubuntu.com/usn/usn-1712-1/

It fixes this issue as well as CVE-2012-6076.

According to Ubuntu, CVE-2012-6076 was also fixed in 0.48.4, so we're good.

from http://lwn.net/Vulnerabilities/535218/

Note You need to log in before you can comment on or make changes to this bug.